Skip to main content
POST
/
ai
/
releases
/
deployDraft
Deploy draft release
curl --request POST \
  --url https://api.getcargo.io/v1/ai/releases/deployDraft \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "actions": [
    {
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "isBulkAllowed": true,
      "config": {},
      "kind": "<string>",
      "toolUuid": "<string>",
      "templateSlug": "<string>",
      "waitUntilFinished": true
    }
  ],
  "mcpClients": [
    {
      "kind": "<string>",
      "name": "<string>",
      "url": "<string>",
      "authentication": {
        "issuedAt": "<string>",
        "accessToken": "<string>",
        "expiresIn": 123,
        "refreshToken": "<string>",
        "scope": "<string>",
        "tokenType": "<string>",
        "clientId": "<string>"
      },
      "disabledToolSlugs": [
        "<string>"
      ]
    }
  ],
  "resources": [
    {
      "kind": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "integrationSlug": "<string>",
      "modelUuid": "<string>",
      "filter": {
        "groups": [
          "<unknown>"
        ]
      },
      "selectedColumnSlugs": [
        "<string>"
      ],
      "limit": 123,
      "prompt": "<string>",
      "isReadOnly": true
    }
  ],
  "capabilities": [
    {
      "slug": "<string>",
      "config": {}
    }
  ],
  "suggestedActions": [
    {
      "text": "<string>",
      "actions": [
        {
          "slug": "<string>"
        }
      ]
    }
  ],
  "integrationSlug": "<string>",
  "languageModelSlug": "<string>",
  "systemPrompt": "<string>",
  "withReasoning": true,
  "temperature": 123,
  "maxSteps": 123,
  "connectorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "output": {
    "type": "<string>"
  },
  "heartbeat": {
    "intervalMinutes": 123,
    "maxMessages": 123,
    "prompt": "<string>"
  },
  "evaluator": {
    "rubric": "<string>",
    "threshold": 0.5
  },
  "version": "<string>",
  "description": "<string>",
  "options": {
    "connectorUuidsByIntegrationSlug": {},
    "modelUuidsByIntegrationSlug": {}
  }
}
'
{
  "release": {
    "uuid": "<string>",
    "parentUuid": "<string>",
    "workspaceUuid": "<string>",
    "userUuid": "<string>",
    "agentUuid": "<string>",
    "description": "<string>",
    "templateSlug": "<string>",
    "version": "<string>",
    "actions": [
      {
        "name": "<string>",
        "slug": "<string>",
        "description": "<string>",
        "isBulkAllowed": true,
        "config": {},
        "kind": "<string>",
        "toolUuid": "<string>",
        "templateSlug": "<string>",
        "waitUntilFinished": true
      }
    ],
    "resources": [
      {
        "kind": "<string>",
        "name": "<string>",
        "slug": "<string>",
        "description": "<string>",
        "integrationSlug": "<string>",
        "modelUuid": "<string>",
        "filter": {
          "groups": [
            "<unknown>"
          ]
        },
        "selectedColumnSlugs": [
          "<string>"
        ],
        "limit": 123,
        "prompt": "<string>",
        "isReadOnly": true
      }
    ],
    "capabilities": [
      {
        "slug": "<string>",
        "config": {}
      }
    ],
    "suggestedActions": [
      {
        "text": "<string>",
        "actions": [
          {
            "slug": "<string>"
          }
        ]
      }
    ],
    "systemPrompt": "<string>",
    "withReasoning": true,
    "temperature": 123,
    "maxSteps": 123,
    "integrationSlug": "<string>",
    "connectorUuid": "<string>",
    "languageModelSlug": "<string>",
    "mcpClients": [
      {
        "kind": "<string>",
        "name": "<string>",
        "url": "<string>",
        "authentication": {
          "issuedAt": "<string>",
          "accessToken": "<string>",
          "expiresIn": 123,
          "refreshToken": "<string>",
          "scope": "<string>",
          "tokenType": "<string>",
          "clientId": "<string>"
        },
        "disabledToolSlugs": [
          "<string>"
        ]
      }
    ],
    "output": {
      "type": "<string>"
    },
    "heartbeat": {
      "intervalMinutes": 123,
      "maxMessages": 123,
      "prompt": "<string>"
    },
    "evaluator": {
      "rubric": "<string>",
      "threshold": 0.5
    },
    "deployedAt": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

agentUuid
string<uuid>
required

Agent identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
actions
Actions · object[]
required

Actions available in the release.

mcpClients
MCP clients · object[]
required

MCP clients available in the release.

resources
Resources · object[]
required

Resources available in the release.

capabilities
Capabilities · object[]
required

Capabilities available in the release.

suggestedActions
Suggested actions · object[]
required

Suggested actions to include.

integrationSlug
string
required

Integration identifier.

languageModelSlug
string
required

Language model identifier.

systemPrompt
string

System prompt for the release.

withReasoning
boolean

Whether to include reasoning.

temperature
number

Sampling temperature.

maxSteps
number

Maximum number of steps.

connectorUuid
string<uuid>

Connector identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
output
Output · object

Output format for the release.

heartbeat
Heartbeat · object

Heartbeat configuration for chats created from this release. Pass null to disable.

evaluator
Evaluator · object

Evaluator configuration (rubric + quality threshold) used to grade agent output. Pass null to disable.

version
string

Release version (small semver, e.g. 1.2.3).

Pattern: ^(0|[1-9]\d{0,3})\.(0|[1-9]\d{0,3})\.(0|[1-9]\d{0,4})$
description
string

Release description.

options
Options · object

Release options.

Response

Successful response

release
Release · object
required

Deployed release details.